Subject: bug#33106: closed (Re: bug#33106: "make check-system TESTS=basic" fails on master)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 22 Dec 2020 14:24:03 +0000

Your bug report

#33106: "make check-system TESTS=basic" fails on master

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33106: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33106
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33106: "make check-system TESTS=basic" fails on master
From: zimoun <[email-masked]>
To: Chris Marusich <[email-masked]>
Cc: [email-masked]
Date: Tue, 22 Dec 2020 15:13:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Sat, 19 Dec 2020 at 10:08, zimoun <[email-masked]> wrote:

> This bug#33106 is old with last activity 2+ years ago and tagged
> ’moreinfo’ also 2+ years ago.  Tobias asked [1] if it is possible to
> reproduce now?
>
> 1: <http://issues.guix.gnu.org/issue/33106#10>
>
> On Sat, 20 Oct 2018 at 12:09, Chris Marusich <[email-masked]> wrote:
>
>> The system test "basic" fails on commit
>> 7d1f21c69aa89e4c7c57ace26af80d168157b243 (master).  To reproduce, check
>> out that commit and run:
>>
>>     make check-system TESTS="basic"

[...]

> If no moreinfo, this bug will be closed in the coming days.

I am closing.  Feel free to reopen if I misunderstood something.

All the best,
simon

Subject: "make check-system TESTS=basic" fails on master
From: Chris Marusich <[email-masked]>
To: [email-masked]
Date: Sat, 20 Oct 2018 12:09:42 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

The system test "basic" fails on commit
7d1f21c69aa89e4c7c57ace26af80d168157b243 (master).  To reproduce, check
out that commit and run:

    make check-system TESTS="basic"

For the record, this is on an x86_64-linux GuixSD system using an ext4
root file system.  Here's the error (I've sanitized the output, which
apparently contained some unprintable characters, and removed some lines
for brevity):

--8<---------------cut here---------------start------------->8---
qemu-system-x86_64: warning: hub 0 is not connected to host network
[?7l
[0mSeaBIOS (version rel-1.11.2-0-gf9626ccb91-prebuilt.qemu-project.org)
iPXE (http://ipxe.org) 00:03.0 C980 PCI2.10 PnP PMM+0FF91280+0FEF1280 C980
Press Ctrl-B to configure iPXE (PCI 00:03.0)...
                                                                               
Booting from ROM...
[?7l
[2J[    0.000000] Linux version 4.18.15-gnu (nixbld@) (gcc version 7.3.0 (GCC)) #1 SMP 1
[    0.000000] Command line: console=ttyS0 --root=/dev/vda1 --system=/gnu/store/pcjn1bvz1khr8k04qablc62rzwgfbh2b-system --load=/gnu/store/pcjn1bvz1khr8k04qablc62rzwgfbh2b-system/boot panic=1
[... Lines omitted for brevity ...]
[    0.000000] Kernel command line: console=ttyS0 --root=/dev/vda1 --system=/gnu/store/pcjn1bvz1khr8k04qablc62rzwgfbh2b-system --load=/gnu/store/pcjn1bvz1khr8k04qablc62rzwgfbh2b-system/boot panic=1
[... Lines omitted for brevity ...]
GC Warning: pthread_getattr_np or pthread_attr_getstack failed for main thread
GC Warning: Couldn't read /proc/stat
Welcome, this is GNU's early boot Guile.
Use '--repl' for an initrd REPL.
loading kernel modules...
[    1.425572] usbcore: registered new interface driver usb-storage
[    1.442635] usbcore: registered new interface driver uas
[    1.464201] hidraw: raw HID events driver (C) Jiri Kosina
[    1.469015] usbcore: registered new interface driver usbhid
[    1.470604] usbhid: USB HID core driver
[    1.526453] isci: Intel(R) C600 SAS Controller Driver - version 1.2.0
[    1.564134] PCI Interrupt Link [LNKC] enabled at IRQ 11
[    1.594052] PCI Interrupt Link [LNKD] enabled at IRQ 10
[    1.623716] PCI Interrupt Link [LNKA] enabled at IRQ 10
[    1.653420] PCI Interrupt Link [LNKB] enabled at IRQ 11
[    1.701890] virtio_blk: probe of virtio4 failed with error -2
[    1.718210] virtio_net: probe of virtio0 failed with error -2
[    1.724827] virtio_console virtio3: Error -2 initializing vqs
[    1.726493] virtio_console: probe of virtio3 failed with error -2
[    1.732626] virtio_rng: probe of virtio1 failed with error -2
[    1.747209] FS-Cache: Loaded
[    1.753755] 9pnet: Installing 9P2000 support
[    1.756817] 9p: Installing v9fs 9p2000 file system support
[    1.758476] FS-Cache: Netfs '9p' registered for caching
[    1.767544] 9pnet_virtio: probe of virtio2 failed with error -2
In gnu/build/linux-boot.scm:
   516:13  2 (_)
    367:8  1 (mount-root-file-system "/dev/vda1" "ext4" # _)
In unknown file:
          [    1.798957] random: fast init done
 0 (mount "/dev/vda1" "/real-root" "ext4" 1 #<undefined>)
In procedure mount: No such file or directory
[    1.808236] Kernel panic - not syncing: Attempted to kill init! exitcode=0x00000000
[    1.808236] 
[    1.810919] CPU: 0 PID: 1 Comm: init Not tainted 4.18.15-gnu #1
[    1.812019] Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS rel-1.11.2-0-gf9626ccb91-prebuilt.qemu-project.org 04/01/2014
[    1.812019] Call Trace:
[    1.812019]  dump_stack+0x63/0x85
[    1.812019]  panic+0xe4/0x244
[    1.812019]  do_exit+0xb1a/0xb20
[    1.812019]  ? wake_up_state+0x10/0x20
[    1.812019]  do_group_exit+0x43/0xb0
[    1.812019]  __x64_sys_exit_group+0x18/0x20
[    1.812019]  do_syscall_64+0x5a/0x120
[    1.812019]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[    1.812019] RIP: 0033:0x5ecce6
[    1.812019] Code: Bad RIP value.
[    1.812019] RSP: 002b:00007ffdddceb3e8 EFLAGS: 00000246 ORIG_RAX: 00000000000000e7
[    1.812019] RAX: ffffffffffffffda RBX: 0000000000812ff0 RCX: 00000000005ecce6
[    1.812019] RDX: 0000000000000000 RSI: 000000000000003c RDI: 0000000000000000
[    1.812019] RBP: 0000000000000000 R08: 00000000000000e7 R09: ffffffffffffffb0
[    1.812019] R10: 00007f85d01aef88 R11: 0000000000000246 R12: 0000000000a63818
[    1.812019] R13: 0000000000000001 R14: 0000000000000000 R15: 0000000000000003
[    1.812019] Kernel Offset: 0x2a000000 from 0xffffffff81000000 (relocation range: 0xffffffff80000000-0xffffffffbfffffff)
[    1.812019] Rebooting in 1 seconds..
QEMU runs as PID 4
connected to QEMU's monitor
read QEMU monitor prompt
connected to guest REPL
%%%% Starting test basic  (Writing full log to "basic.log")
/gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:1: FAIL uname
/gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:1: FAIL shepherd socket ready
/gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:1: FAIL shell and user commands
/gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:1: FAIL special files
/gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:1: FAIL accounts
/gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:1: FAIL shepherd services
/gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:1: FAIL homes
/gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:1: FAIL skeletons in home directories
/gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:1: FAIL permissions on /root
/gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:1: FAIL no extra home directories
/gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:1: FAIL login on tty1
/gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:2: FAIL utmpx entry
/gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:2: FAIL wtmp entry
/gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:2: FAIL host name resolution
/gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:2: FAIL locale
/gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:2: FAIL /run/current-system is a GC root
/gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:2: FAIL /var/guix/gcroots/profiles is a valid symlink
/gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:2: FAIL screendump
/gnu/store/b1f0pn2zp33b0q06cp39yk9p1qasxzqi-basic-builder:2: FAIL screen text
# of expected passes      1
# of unexpected failures  19
--8<---------------cut here---------------end--------------->8---

Some questions/observations:

1) Where is the "basic.log" file?  I checked the Guix checkout and the
retained directory of the failed derivation (i.e., the directory
produced by guix build --keep-failed /gnu/store/...gjmid5-basic.drv),
but I don't see it anywhere.

2) The test seems to have failed becuase of the following issue, which
is mentioned in the output above:

--8<---------------cut here---------------start------------->8---
0 (mount "/dev/vda1" "/real-root" "ext4" 1 #<undefined>)
In procedure mount: No such file or directory
--8<---------------cut here---------------end--------------->8---

The next steps are probably to look into whether /dev/vda1 or /real-root
exist when that call is made, and if one of them is missing, investigate
why it doesn't exist.

-- 
Chris